Music Player Command(1)

NAME
mpc - Program for controlling Music Player Daemon (MPD)

SYNOPSIS
mpc [options] <command> [<arguments>]

DESCRIPTION
mpc is a client for MPD, the Music Player Daemon. mpc connects to a MPD and controls it according to commands and arguments passed to it. If no command is given, the current status is printed (same as 'mpc status').

OPTIONS

-f,--format
    Configure the format of song display for status and the playlist. The metadata delimiters are "%name%", "%artist%", "%album%", "%title%", "%track%", "%time%", and "%file%". The [] operator is used to group output such that if no metadata delimiters are found or matched between '[' and ']', then none of the characters between '[' and ']' are output. '&' and '|' are logical operators for and and or. '#' is used to escape characters. Some useful examples for format are: "%file%" and "[[%artist% - ]%title%]|[%file%]". This command also takes the following defined escape sequences:
    \\ - backslash
    \a - alert
    \b - backspace
    \t - tab
    \n - newline
    \v - vertical tab
    \f - form-feed
    \r - carriage return

--wait
    Wait for operation to finish (e.g. database update).

-q,--quiet,--no-status
    Prevents the current song status from being printed on completion of some of the commands.

-v,--verbose
    Verbose output.

-h,--host
    The host to connect to; if not given, the value of the environment variable MPD_HOST is checked before defaulting to localhost. This default can be changed at compile-time.

    To use a password, provide a value of the form "password@host".

    If you specify an absolute path, mpc attempts a connection via Unix Domain Socket.

-p,--port
    The port to connect to; if not given, the value of the environment variable MPD_PORT is checked before defaulting to 6600. This default can be changed at compile-time.

COMMANDS

add <file>
    Adds a song from the music database to the playlist. Can also read input from pipes. Use "mpc ls | mpc add" to add all files to the playlist.

clear
    Empties playlist.

crop
    Remove all songs except for the currently playing song.

current
    Show the currently playing song

crossfade [<seconds>]
    Gets and sets the current amount of crossfading between songs (0 disables crossfading).

del <songpos>
    Removes a playlist number from the playlist. Can also read input from pipes (0 deletes the current playing song).

disable <output #>
    Disables the output, number is required.

enable <output #>
    Enables the output, number is required.

idle [events]
    Waits until an event occurs. Prints a list of event names, one per line. See the MPD protocol documentation for further information.

    If you specify a list of events, only these events are considered.

idleloop [events]
    Similar to "idle", but re-enters "idle" state after events have been printed.

    If you specify a list of events, only these events are considered.

listall [<file>]
    Lists <file> from playlist. If no <file> is specified, lists all songs.

load <file>
    Loads <file> as playlist.

ls [<directory>]
    Lists all files/folders in <directory>. If no <directory> is specified, lists all files in music directory.

lsplaylists
    Lists available playlists.

move <from> <to>
    Moves song at position <from> to the position <to> in the playlist.

next
    Starts playing next song on playlist.

outputs
    Lists all available outputs

pause
    Pauses playing.

play <position>
    Starts playing the song-number specified. If none is specified, plays number 1.

playlist
    Prints entire playlist.

prev
    Starts playing previous song.

random <on|off>
    Toggle random mode if state ("on" or "off") is not specified.

repeat <on|off>
    Toggle repeat mode if state ("on" or "off") is not specified.

replaygain [<off|track|album>]
    Sets the replay gain mode. Without arguments, it prints the replay gain mode.

single <on|off>
    Toggle single mode if state ("on" or "off") is not specified.

consume <on|off>
    Toggle consume mode if state ("on" or "off") is not specified.

rm <file>
    Deletes a specific playlist.

save <file>
    Saves playlist as <file>.

search <type> <query> [<type> <query>]...
    Searches for songs where all of the given tag <type>s match the given <query>s. Any number of tag type and query combinations can be specified. Possible tag types are: artist, album, title, track, name, genre, date, composer, performer, comment, disc, filename, or any (to match any tag).

find <type> <query> [<type> <query>]...
    Same as search, but match <query>s exactly.

findadd <type> <query> [<type> <query>]...
    Same as find, but add the result to the current playlist instead of printing them.

list <type> [<type> <query>]...
    Return a list of all tags of given tag <type>. Optional search <type>s/<query>s limit results in a way similar to search.

seek [+-][<HH:MM:SS>] or <[+-]<0-100>%>
    Seeks by hour, minute or seconds, hours or minutes can be omitted. If seeking by percentage, seeks within the current song in the specified manner. If a "+" or "-" is used, the seek is done relative to the current song position. Absolute seeking by default.

shuffle
    Shuffles all songs on the playlist.

stats
    Displays statistics about MPD.

stop
    Stops playing.

toggle
    Toggles between play and pause. If stopped starts playing. Does not support start playing at song number (use play).

update [--wait] [<path>]
    Scans music directory for updates if no <path> is specified. If one or more <path>'s are specified, scans only those path's for updates. Can take input from a pipe.

    With --wait, mpc waits until MPD has finished the update.

version
    Reports the version of MPD.

volume [+-]<num>
    Sets the volume to <num> (0-100). If "+" or "-" is used, then it adjusts the volume relative to the current volume.

EXAMPLES

For useful examples of mpc use in playlist parsing, see mpd-m3u-playlist.sh and mpd-pls-playlist.sh.

BUGS
Report bugs on http://www.musicpd.org/mantis/

NOTE
Since MPD uses UTF-8, mpc needs to convert characters to the charset used by the local system. If you get character conversion errors when you're running mpc you probably need to set up your locale. This is done by setting any of the LC_CTYPE, LANG or LC_ALL environment variables (LC_CTYPE only affects character handling).

SEE ALSO
mpd(1)

AUTHOR
See http://git.musicpd.org/cgit/master/mpc.git/plain/AUTHORS